org.apache.hc.core5.http.impl.nio

## Enum MessageState

- java.lang.Object
- - java.lang.Enum<MessageState>
  - - org.apache.hc.core5.http.impl.nio.MessageState

- All Implemented Interfaces:
    Serializable, Comparable<MessageState>

      public enum MessageState
      extends Enum<MessageState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK`
    `BODY`
    `COMPLETE`
    `HEADERS`
    `IDLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final MessageState IDLE

    - #### HEADERS

          public static final MessageState HEADERS

    - #### ACK

          public static final MessageState ACK

    - #### BODY

          public static final MessageState BODY

    - #### COMPLETE

          public static final MessageState COMPLETE

  - ### Method Detail

    - #### values

          public static MessageState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageState c : MessageState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.